Download it now!
Bug 47307 - Crash when scrolling Named Ranges
Summary: Crash when scrolling Named Ranges
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.6.0 target:3.5.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-14 06:37 UTC by kurt forrester
Modified: 2012-04-05 08:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Named Ranges File that crashes when scrolling (9.04 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-03-14 06:37 UTC, kurt forrester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kurt forrester 2012-03-14 06:37:20 UTC
Created attachment 58433 [details]
Named Ranges File that crashes when scrolling

Insert -> Names -> Insert...

When I try and scroll through the list of named ranges Libreoffice crashes. Scrolling with the widget and mouse wheel both result in the crash

Attached is a spreadsheet that produces the error.

Kurt
Comment 1 Markus Mohrhard 2012-03-14 13:26:37 UTC
Can you please try with 3.5.1? I think i fixed this bug already.
Comment 2 kurt forrester 2012-03-14 16:07:24 UTC
tested this bug with 3.5.2 RC2 on Ubuntu 11.10 64 bit and it is still present. I will confirm with Windows tomorrow on my work machine.
Comment 3 kurt forrester 2012-03-15 03:40:27 UTC
tested this bug with 3.5.1 RC2 on both windows 7 and ubuntu 11.10 64 bit and the bug is still present.
Comment 4 Markus Mohrhard 2012-03-15 07:57:02 UTC
Ah I did not see that you mentioned the Insert Names dialog and not manage names.

I found the problem and I wonder how that could have ever worked.
Comment 5 Not Assigned 2012-03-15 14:35:32 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd43abc94d30332d06fad7964bd01dc5f70c22e7

ScNameMgrTable takes a reference, fdo#47307
Comment 6 Not Assigned 2012-03-16 11:25:22 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70b5ab86907bb0ee75b2e70505cca1d386ae0025&g=libreoffice-3-5

ScNameMgrTable takes a reference, fdo#47307


It will be available in LibreOffice 3.5.2.
Comment 7 Rainer Bielefeld Retired 2012-04-05 08:12:55 UTC
I added Fix submitter as assignee because this will ease queries and bug tracking.